using System.ComponentModel;
using System.Diagnostics;
using System.Runtime.CompilerServices;

namespace Gremlin.MVVM
{
    public class BaseViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged([CallerMemberName] string propName = "")
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propName));
            Debug.WriteLine(propName + " changed in INotifyPropertyChanged");
        }
    }
}
